db-torque-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bogdan Vatkov" <bvat...@globaltech-bg.com>
Subject Re: problems building torque from cvs
Date Tue, 11 May 2004 11:40:31 GMT



> That's bad.  We used torque (3.0) for about a year now and are now
> considering a torque update due to some problems with DB2 which seems
> to be fixed in later versions of torque.  Our project is declared to
> fulfill the J2EE 1.3 requirements, so if torque needs java >=1.4,
> we're done. :-(

I am not sure that torque can work only with 1.4 ..i just use 1.4 just to be
sure
but you could try 1.3 and see what is going wrong and make a patch ..
maybe some of the developers could say is it going to work with 1.3

> So I would have to "mavenize" my project, too?  Our build process is
> very satisfying, so I hoped to save this work.

No. your project does not have to be mavenized.
Just torque-gen is mavenized.
and instead using

ant -f torque-build.xml om

you can use

maven torque:om

but you have to install maven and to build the torque-gen via maven just as
described at
http://db.apache.org/torque/maven-howto.html
nothing more nothing less ..there are 2 simple steps to have torque-gen
mavenized.

regards,
bogdan


---------------------------------------------------------------------
To unsubscribe, e-mail: torque-user-unsubscribe@db.apache.org
For additional commands, e-mail: torque-user-help@db.apache.org


Mime
View raw message